Package org.eclipse.jdt.launching.sourcelookup.advanced

# Interface IWorkspaceProjectDescriber

public interface IWorkspaceProjectDescriber
Implementations of this interface describe workspace projects for the purpose of source lookup. Implementations are registered with the advanced source lookup framework using `org.eclipse.jdt.launching.workspaceProjectDescribers` extension point. Workspace project runtime classes location are used to identify projects when performing source code lookup. Depending on project type and application classloading mechanism used by the runtime, classes location can be project output folders, one of project classpath entries (for PDE Binary Plug-In projects, for example) or some other runtime-specific location, like OSGi bundle installation location. The same workspace project can have different classes location if it is used with different runtime technologies. For example, PDE Plug-In project classes will have bundle installation location when used by Equinox framework and project output folder when used by standard java application. Note that different runtime technologies can coexist within the same running JVM, like it is the case with Tycho build, where Equinox, Maven and standard Java APIs are used side-by-side. For this reason multiple project describers can provide information about the same project and all projects descriptions will be considered when performing source lookup.

Since:
  3.10

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IWorkspaceProjectDescriber.IJavaProjectSourceDescription`

## Method Summary

Modifier and Type
Method
Description
`void`
`describeProject(IJavaProject project, IWorkspaceProjectDescriber.IJavaProjectSourceDescription description)`
Populate the given description with the given project's description.

## Method Details

### describeProject

void describeProject(IJavaProject project, IWorkspaceProjectDescriber.IJavaProjectSourceDescription description) throws CoreException
Populate the given description with the given project's description.

Throws:
  `CoreException`